package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.biz.dal.enums.AccountBizTypeEnum;
import com.yonge.cooleshow.biz.dal.enums.InOrOutEnum;
import com.yonge.cooleshow.common.enums.PostStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.yonge.toolset.base.page.QueryInfo;

public class PlatformCashAccountRecordSearch extends QueryInfo {

	@ApiModelProperty("关联订单号")
	private String orderNo;
	
	@ApiModelProperty("业务编号")
	private Long bizId;
	
	@ApiModelProperty("收支类型（IN-收入  OUT-支出）")
	private String inOrOut;

	@ApiModelProperty("业务类型：PRACTICE、陪练课 LIVE、直播课 VIDEO、视频课 MUSIC、乐谱 ACTI_REGIST、活动报名 WITHDRAWAL、提现 " +
			"LIVE_SHARE、直播课分润 VIDEO_SHARE、视频课分润 MUSIC_SHARE、乐谱分润 VIP_SHARE、会员分润 MALL_SHARE、商品分润 ACTI_REGIST_SHARE、活动报名分润 ")
	private AccountBizTypeEnum bizType;

	@ApiModelProperty(value = "入账状态 WAIT 待入账 FROZEN 冻结入账 RECORDED 已入账 CANCEL 退费 ")
	private PostStatusEnum postStatus;

	@ApiModelProperty("记录开始时间")
	private Date startDate;
	
	@ApiModelProperty("记录结束时间")
	private Date endDate;

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public Long getBizId() {
		return bizId;
	}

	public void setBizId(Long bizId) {
		this.bizId = bizId;
	}

	public String getInOrOut() {
		return inOrOut;
	}

	public void setInOrOut(String inOrOut) {
		this.inOrOut = inOrOut;
	}

	public AccountBizTypeEnum getBizType() {
		return bizType;
	}

	public void setBizType(AccountBizTypeEnum bizType) {
		this.bizType = bizType;
	}

	public PostStatusEnum getPostStatus() {
		return postStatus;
	}

	public void setPostStatus(PostStatusEnum postStatus) {
		this.postStatus = postStatus;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
}
